@import url(/static/font/W95font.css);

* {
    font-family: "W95FontRegular";
    outline: none;
}

body {
    position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
    background-color: #c0c0c0;
	margin: 0;
}

.titlebar {
    position: absolute;
	top: 0;
	left: 0;
	right: 0;
    height: 18px;
    background-color: #000080;
    color: #fff;
    font-size:13px;
    align-items: center;
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.title {
    font-family: "W95FontBold";
    line-height: 16px;
}

.titlebar-left {
	position: absolute;
	left: 1px;
	right: 0px;
	top: 2px;
	bottom: 0px;
}

.titlebar-right {
	position: absolute;
	width: 50px;
	right: 1px;
	top: 2px;
	bottom: 0px;
    display: flex;
    gap: 2px;
    height: 14px;
}

.buttons-left {
    background-image: url(/static/img/W95/w95buttons_left.png);
    width: 32px;
}

.button-close {
    background-image: url(/static/img/W95/w95button_close.png);
    width: 16px;
}

.menubar {
	position: absolute;
	top: 18px;
	left: 0px;
	right: 0px;
    display: flex;
    height: 20px;
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.menubar a {
    color: #000;
    text-decoration: none;
    padding: 1px 7px;
    cursor: default;
    font-size: 14px;
}

.menubar .first-letter {
    text-decoration: underline;
}

.inset-border {
    padding: 2px;
    box-shadow: inset -1px -1px #fff, inset 1px 1px #808080, inset -2px -2px #c0c0c0, inset 2px 2px #000;
}

.outset-border {
    padding: 2px;
    box-shadow: inset -1px -1px #000, inset 1px 1px #c0c0c0, inset -2px -2px #808080, inset 2px 2px #fff;
}

html > body .page-container {
	position: absolute;
	top: 38px;
	bottom: 1px;
	left: 0;
	right: 0;
	display: block;
}

.page {
	position: absolute;
	top: 2px;
	bottom: 2px;
	left: 2px;
	right: 2px;
	background-color: #fff;
    overflow: auto;
}

.page::-webkit-scrollbar {
    width: 16px;
    height: 16px;
}

.page::-webkit-scrollbar-track {
    background: url(/static/img/W95/w95checkers.png);
}

.page::-webkit-scrollbar-corner {
    background-color: #c0c0c0;
}

.page::-webkit-scrollbar-thumb {
    background-color: #c0c0c0;
    padding: 2px;
    box-shadow: inset -1px -1px #000, inset 1px 1px #c0c0c0, inset -2px -2px #808080, inset 2px 2px #fff;    
}

.page::-webkit-scrollbar-button{
    width: 16px;
    height: 16px;
    background-color: #c0c0c0;
    padding: 2px;
    box-shadow: inset -1px -1px #000, inset 1px 1px #c0c0c0, inset -2px -2px #808080, inset 2px 2px #fff;    
}

.page *::selection {
    background: #000080;
    color: #fff;
}

img {
    image-rendering: auto;
    image-rendering: crisp-edges;
    image-rendering: pixelated;
    image-rendering: -webkit-optimize-contrast;
    height: 31px;
	margin: 0px 7px;
}
